package tech.riemann.ims.enums;

import club.zhcs.lina.utils.enums.ICodeBook;
import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author mayong
 * @since 2024/12/6 10:09
 */
@Getter
@AllArgsConstructor
public enum HandleEnum implements ICodeBook {


    MARK_KEEP("1", "保持在库状态不变"), //SOCK_IN_BUT_SCAN_NOT_EXIST("1", "库房在库状态但是扫码不存在")
    MARK_LOST("2", "标记为丢失状态"),

    DISCARD("3", "丢弃-1"),
    ;

    @EnumValue
    final String code;
    final String description;
}
